import * as React from 'react';
import { GetChildRowsFunc } from '../../hooks/useRows';
declare type WindowTableProps = {
    scrollTop?: number;
    scrollLeft?: number;
    width?: number;
    height?: number;
    columns?: any;
    columnCount: number;
    columnWidth: number | Function;
    rows?: any;
    rowCount: number;
    rowHeight: number | Function;
    fixedTopCount?: number;
    fixedLeftCount?: number;
    fixedRightCount?: number;
    fixedBottomCount?: number;
    overscanCount?: number;
    fillerColumn?: 'none' | 'append' | 'stretch' | 'shrink';
    fillerRow?: 'none' | 'append' | 'stretch' | 'shrink';
    /** 스크롤되는 뷰포트 너비가 특정값 이하로 떨어지면 fixedColumn 이 무효화된다. */
    minVisibleScrollViewWidth: number;
    minVisibleScrollViewHeight: number;
    containerStyle?: any;
    guideline?: boolean;
    events: StringFunctionMap;
    renderHeader?: Function;
    maxHeight?: number;
    context?: any;
    getChildRows?: GetChildRowsFunc;
    getClassNames?: Function;
    checkbox?: boolean | 'left' | 'right';
    trackBy?: Function;
    cancelMouseMove?: boolean;
    onSelect?: Function;
    selected?: string[];
    status?: string;
    theme?: Function | string;
    onColumnResizeEnd?: Function;
    onVisibleRangeChange?: Function;
};
declare const _default: React.ForwardRefExoticComponent<WindowTableProps & React.RefAttributes<{}>>;
export default _default;
